%% Final plots
%% computational costs for 
%% stochastic Maxwell equation
%% for SEXP, EM, SEM

%%%%%%%%%%%%%%%%%%%%%
%%% Final plots   %%%
%%%%%%%%%%%%%%%%%%%%%

set(0,'DefaultTextFontSize',12)
set(0,'DefaultAxesFontSize',12)
set(0,'DefaultLineLineWidth',2)
set(0,'DefaultLineMarkerSize',10)

figure('visible','off')
load('Exp-computcost','XX','YY')
plot(XX(1:end-3),YY(1:end-3),'-sk');
hold on
load('EM-computcost','XX','YY')
plot(XX(1:end-3),YY(1:end-3),'-dk');
hold on
load('SEM-computcost','XX','YY')
plot(XX(1:end-3),YY(1:end-3),'-*k');
hold off
legend('Exp','EM','SEM','Location','NorthEast')
MS=100;
xlabel(strcat('Aver. sq. L2 final error over',32, num2str(MS),' samples'),'FontSize',14); % 32 is ascii for space
ylabel('Total comp. time in sec.','FontSize',14);
%  xlabel(strcat('Aver. sq. L2 final error over  ',num2str(MS),' samples (log10-scale)'),'FontSize',14);
%  ylabel('Total comp. time in sec. (log10-scale)','FontSize',14);
%title('Numerical efficiency of the methods');

print -depsc2 -r0 plotCompCost.eps
